[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'idea' (#fcl)

# TIDEAEncryptStream.Flush

Write remaining bytes from the stream

## Declaration

Source position: idea.pp line 99

`public procedure TIDEAEncryptStream.Flush;`

## Description

Flush writes the current encryption buffer to the stream. Encryption always happens in blocks of 8 bytes, so if the buffer is not completely filled at the end of the writing operations, it must be flushed. It should never be called directly, unless at the end of all writing operations. It is called automatically when the stream is destroyed.

## Errors

None.

## See also

Write |  | Write bytes to the stream to be encrypted

Documentation generated on: Feb 26 2014